set define off
set verify off
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end;
/
 
 
--application/set_environment
prompt  APPLICATION 103 - Tabular form autocomplete
--
-- Application Export:
--   Application:     103
--   Name:            Tabular form autocomplete
--   Date and Time:   13:53 Wednesday August 12, 2015
--   Exported By:     LAINFJAR
--   Flashback:       0
--   Export Type:     Application Export
--   Version:         4.2.6.00.03
--   Instance ID:     69419861619727
--
-- Import:
--   Using Application Builder
--   or
--   Using SQL*Plus as the Oracle user APEX_040200 or as the owner (parsing schema) of the application
 
-- Application Statistics:
--   Pages:                      2
--     Items:                    3
--     Validations:             10
--     Processes:                7
--     Regions:                  3
--     Buttons:                  4
--     Dynamic Actions:          2
--   Shared Components:
--     Logic:
--     Navigation:
--       NavBar Entries:         1
--     Security:
--       Authentication:         1
--     User Interface:
--       Themes:                 1
--       Templates:
--         Page:                 2
--         Region:               1
--         Label:                1
--         Popup LOV:            1
--         Button:               1
--         Report:               1
--       LOVs:                   2
--       Shortcuts:              2
--     Globalization:
--       Messages:               1
--     Reports:
 
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040200 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,4228032459347816));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2012.01.01');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,103);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

--application/delete_application
 
begin
 
   -- Remove Application
wwv_flow_api.remove_flow(nvl(wwv_flow_application_install.get_application_id,103));
 
end;
/

 
begin
 
wwv_flow_audit.remove_audit_trail(nvl(wwv_flow_application_install.get_application_id,103));
null;
 
end;
/

prompt  ...ui types
--
 
begin
 
null;
 
end;
/

--application/create_application
 
begin
 
wwv_flow_api.create_flow(
  p_id    => nvl(wwv_flow_application_install.get_application_id,103),
  p_display_id=> nvl(wwv_flow_application_install.get_application_id,103),
  p_owner => nvl(wwv_flow_application_install.get_schema,'BLOG_SAMPLES'),
  p_name  => nvl(wwv_flow_application_install.get_application_name,'Tabular form autocomplete'),
  p_alias => nvl(wwv_flow_application_install.get_application_alias,'TABULAR_JQ_AUTOCOMPLETE'),
  p_page_view_logging => 'YES',
  p_page_protection_enabled_y_n=> 'Y',
  p_checksum_salt=> '6940AAC74C5539FDC1785225BD23956DD7457DD61A5139CFD1F6EC1ABCF52E60',
  p_max_session_length_sec=> null,
  p_compatibility_mode=> '4.2',
  p_html_escaping_mode=> 'E',
  p_flow_language=> 'en',
  p_flow_language_derived_from=> 'FLOW_PRIMARY_LANGUAGE',
  p_allow_feedback_yn=> 'N',
  p_flow_image_prefix => nvl(wwv_flow_application_install.get_image_prefix,''),
  p_publish_yn=> 'N',
  p_documentation_banner=> '',
  p_authentication=> 'PLUGIN',
  p_authentication_id=> 41049713110998773704 + wwv_flow_api.g_id_offset,
  p_logout_url=> '',
  p_application_tab_set=> 1,
  p_logo_image => 'TEXT:Tabular form autocomplete',
  p_public_url_prefix => '',
  p_public_user=> '',
  p_dbauth_url_prefix => '',
  p_proxy_server=> nvl(wwv_flow_application_install.get_proxy,''),
  p_cust_authentication_process=> '',
  p_cust_authentication_page=> '',
  p_flow_version=> 'release 1.0',
  p_flow_status=> 'AVAILABLE_W_EDIT_LINK',
  p_flow_unavailable_text=> 'This application is currently unavailable at this time.',
  p_build_status=> 'RUN_AND_BUILD',
  p_exact_substitutions_only=> 'Y',
  p_browser_cache=>'N',
  p_browser_frame=>'D',
  p_deep_linking=>'Y',
  p_vpd=> '',
  p_vpd_teardown_code=> '',
  p_authorize_public_pages_yn=>'N',
  p_csv_encoding=> 'Y',
  p_include_legacy_javascript=> 'Y',
  p_default_error_display_loc=> 'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_last_updated_by => 'LAINFJAR',
  p_last_upd_yyyymmddhh24miss=> '20150812135330',
  p_ui_type_name => null,
  p_required_roles=> wwv_flow_utilities.string_to_table2(''));
 
 
end;
/

----------------
--package app map
--
prompt  ...user interfaces
--
 
begin
 
--application/user interface/desktop
wwv_flow_api.create_user_interface (
  p_id => 41049712910200773703 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_ui_type_name => 'DESKTOP'
 ,p_display_name => 'Desktop'
 ,p_display_seq => 10
 ,p_use_auto_detect => false
 ,p_is_default => true
 ,p_theme_id => 24
 ,p_home_url => 'f?p=&APP_ID.:1:&SESSION.'
 ,p_login_url => 'f?p=&APP_ID.:LOGIN_DESKTOP:&SESSION.'
  );
null;
 
end;
/

prompt  ...plug-in settings
--
 
begin
 
--application/plug-in setting/item_type_native_yes_no
wwv_flow_api.create_plugin_setting (
  p_id => 41049703035722773682 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'ITEM TYPE'
 ,p_plugin => 'NATIVE_YES_NO'
 ,p_attribute_01 => 'Y'
 ,p_attribute_03 => 'N'
  );
null;
 
end;
/

prompt  ...authorization schemes
--
 
begin
 
null;
 
end;
/

--application/shared_components/navigation/navigation_bar
prompt  ...navigation bar entries
--
 
begin
 
wwv_flow_api.create_icon_bar_item(
  p_id => 41049713032984773703 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_icon_sequence=> 10,
  p_icon_image => '',
  p_icon_subtext=> 'Logout',
  p_icon_target=> '&LOGOUT_URL.',
  p_icon_image_alt=> 'Logout',
  p_icon_height=> 32,
  p_icon_width=> 32,
  p_icon_height2=> 24,
  p_icon_width2=> 24,
  p_nav_entry_is_feedback_yn => 'N',
  p_icon_bar_disp_cond=> '',
  p_icon_bar_disp_cond_type=> '',
  p_begins_on_new_line=> '',
  p_cell_colspan      => 1,
  p_onclick=> '',
  p_icon_bar_comment=> '');
 
 
end;
/

prompt  ...application processes
--
prompt  ...application items
--
prompt  ...application level computations
--
 
begin
 
null;
 
end;
/

prompt  ...Application Tabs
--
 
begin
 
null;
 
end;
/

prompt  ...Application Parent Tabs
--
 
begin
 
null;
 
end;
/

prompt  ...Shared Lists of values
--
--application/shared_components/user_interface/lov/department
 
begin
 
wwv_flow_api.create_list_of_values (
  p_id       => 41116447809470647274 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_lov_name => 'DEPARTMENT',
  p_lov_query=> 'SELECT DNAME'||unistr('\000a')||
'  ,DEPTNO'||unistr('\000a')||
'FROM DBSWH_JQ_AC_DEPT'||unistr('\000a')||
'ORDER BY 1');
 
null;
 
end;
/

--application/shared_components/user_interface/lov/job
 
begin
 
wwv_flow_api.create_list_of_values (
  p_id       => 6590124827552161 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_lov_name => 'JOB',
  p_lov_query=> '.'||to_char(6590124827552161 + wwv_flow_api.g_id_offset)||'.');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_static_lov_data (
  p_id=>6590425021552270 + wwv_flow_api.g_id_offset,
  p_lov_id=>6590124827552161 + wwv_flow_api.g_id_offset,
  p_lov_disp_sequence=>1,
  p_lov_disp_value=>'ANALYST',
  p_lov_return_value=>'10',
  p_lov_data_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_static_lov_data (
  p_id=>6590724713552381 + wwv_flow_api.g_id_offset,
  p_lov_id=>6590124827552161 + wwv_flow_api.g_id_offset,
  p_lov_disp_sequence=>2,
  p_lov_disp_value=>'CLERK',
  p_lov_return_value=>'20',
  p_lov_data_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_static_lov_data (
  p_id=>6591021760552381 + wwv_flow_api.g_id_offset,
  p_lov_id=>6590124827552161 + wwv_flow_api.g_id_offset,
  p_lov_disp_sequence=>3,
  p_lov_disp_value=>'MANAGER',
  p_lov_return_value=>'30',
  p_lov_data_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_static_lov_data (
  p_id=>6591314397552381 + wwv_flow_api.g_id_offset,
  p_lov_id=>6590124827552161 + wwv_flow_api.g_id_offset,
  p_lov_disp_sequence=>4,
  p_lov_disp_value=>'PRESIDENT',
  p_lov_return_value=>'40',
  p_lov_data_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_static_lov_data (
  p_id=>6591633549552381 + wwv_flow_api.g_id_offset,
  p_lov_id=>6590124827552161 + wwv_flow_api.g_id_offset,
  p_lov_disp_sequence=>5,
  p_lov_disp_value=>'SALESMAN',
  p_lov_return_value=>'50',
  p_lov_data_comment=> '');
 
null;
 
end;
/

prompt  ...Application Trees
--
--application/pages/page_groups
prompt  ...page groups
--
 
begin
 
null;
 
end;
/

--application/comments
prompt  ...comments: requires application express 2.2 or higher
--
 
--application/pages/page_00001
prompt  ...PAGE 1: Employees
--
 
begin
 
wwv_flow_api.create_page (
  p_flow_id => wwv_flow.g_flow_id
 ,p_id => 1
 ,p_user_interface_id => 41049712910200773703 + wwv_flow_api.g_id_offset
 ,p_name => 'Employees'
 ,p_step_title => 'Employees'
 ,p_allow_duplicate_submissions => 'Y'
 ,p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS'
 ,p_first_item => 'NO_FIRST_ITEM'
 ,p_include_apex_css_js_yn => 'Y'
 ,p_autocomplete_on_off => 'ON'
 ,p_javascript_file_urls => '#IMAGE_PREFIX#libraries/jquery-ui/1.8.22/ui/minified/jquery.ui.autocomplete.min.js'||unistr('\000a')||
''
 ,p_javascript_code => 
'var htmldb_delete_message = ''"DELETE_CONFIRM_MSG"'';'||unistr('\000a')||
''||unistr('\000a')||
'var mgrCache = {};'||unistr('\000a')||
'var deptCache = {};'||unistr('\000a')||
''||unistr('\000a')||
'(function ($) {'||unistr('\000a')||
''||unistr('\000a')||
'	$.fn.htmldbAutoComplete = function (opt, optui) {'||unistr('\000a')||
''||unistr('\000a')||
'		var lSelf = this;'||unistr('\000a')||
''||unistr('\000a')||
'		// Result highlight'||unistr('\000a')||
'		$.ui.autocomplete.prototype._renderItem = function (ul, item) {'||unistr('\000a')||
'			var term = this.term.split('' '').join(''|'');'||unistr('\000a')||
'			var re = new RegExp("(" + term + ")", "gi");'||unistr('\000a')||
'			var t = item.label.replace(re, "'||
'<b>$1</b>");'||unistr('\000a')||
'			return $("<li></li>")'||unistr('\000a')||
'			.data("item.autocomplete", item)'||unistr('\000a')||
'			.append("<a>" + t + "</a>")'||unistr('\000a')||
'			.appendTo(ul);'||unistr('\000a')||
'		};'||unistr('\000a')||
''||unistr('\000a')||
'		// Autocomplete options'||unistr('\000a')||
'		optui = $.extend({'||unistr('\000a')||
'				delay : 500,'||unistr('\000a')||
'				change : function (ev, ui) {'||unistr('\000a')||
'					$(this).val() ? ui.item || __setmyval(this, $(this).data("last-value"), $(this).siblings("input").data("last-value")) : __setmyval(this, null, null);'||unistr('\000a')||
'				},'||unistr('\000a')||
'				select :'||
' function (ev, ui) {'||unistr('\000a')||
'					__setmyval(this, ui.item.value, ui.item.retval);'||unistr('\000a')||
'				},'||unistr('\000a')||
'				source : function (req, res) {'||unistr('\000a')||
'					if (opt.cacheVar) {'||unistr('\000a')||
'						if (req.term in opt.cacheVar) {'||unistr('\000a')||
'							res(opt.cacheVar[req.term]);'||unistr('\000a')||
'							return;'||unistr('\000a')||
'						}'||unistr('\000a')||
'					}'||unistr('\000a')||
'					apex.server.process(opt.process, {'||unistr('\000a')||
'						x01 : req.term,'||unistr('\000a')||
'						x02 : this.element.data("col-name")'||unistr('\000a')||
'					}, {'||unistr('\000a')||
'						success : function (data) {'||unistr('\000a')||
'						'||
'	opt.cacheVar ? (opt.cacheVar[req.term] = data.row, res(opt.cacheVar[req.term])) : res(data.row);'||unistr('\000a')||
'						}'||unistr('\000a')||
'					});'||unistr('\000a')||
'				}'||unistr('\000a')||
'			}, optui);'||unistr('\000a')||
''||unistr('\000a')||
'		$("form").submit(function () {'||unistr('\000a')||
'			lSelf.attr("disabled", "disabled");'||unistr('\000a')||
'		});'||unistr('\000a')||
''||unistr('\000a')||
'		opt.removeIcon && lSelf.siblings("a").remove();'||unistr('\000a')||
''||unistr('\000a')||
'		return lSelf'||unistr('\000a')||
'		.removeAttr("disabled")'||unistr('\000a')||
'		.removeAttr("onfocus")'||unistr('\000a')||
'		.autocomplete(optui)'||unistr('\000a')||
'		.each(function () {'||unistr('\000a')||
'			__setmylastval(this)'||
';'||unistr('\000a')||
'			$(this).siblings("input").change(function() {'||unistr('\000a')||
'				__setmylastval(this);'||unistr('\000a')||
'			});'||unistr('\000a')||
'			this.onfocus = null;'||unistr('\000a')||
'		})'||unistr('\000a')||
'		.change(function () {'||unistr('\000a')||
'			$(this).val() || __setmyval(this, null, null);'||unistr('\000a')||
'		});'||unistr('\000a')||
''||unistr('\000a')||
'		/* private functions */'||unistr('\000a')||
'		function __setmyval(pThis, pDis, pRet) {'||unistr('\000a')||
'			$(pThis).val(pDis).data("last-value", pDis).siblings("input").val(pRet).data("last-value", pRet);'||unistr('\000a')||
'		}'||unistr('\000a')||
''||unistr('\000a')||
'		function __setmylastval(pThis'||
'){'||unistr('\000a')||
'			var lThis = $(pThis), lThat = lThis.siblings("input");'||unistr('\000a')||
'			lThis.data("last-value", lThis.val());'||unistr('\000a')||
'			lThat.data("last-value", lThat.val());		'||unistr('\000a')||
'		}'||unistr('\000a')||
''||unistr('\000a')||
'	}'||unistr('\000a')||
''||unistr('\000a')||
'})(apex.jQuery);'
 ,p_inline_css => 
'.ui-autocomplete-loading {'||unistr('\000a')||
' background: url("#IMAGE_PREFIX#libraries/jquery-ui/1.8/themes/base/images/ui-anim_basic_16x16.gif") no-repeat scroll right center transparent;'||unistr('\000a')||
'}'||unistr('\000a')||
'.uReportStandard input{'||unistr('\000a')||
' text-align:inherit;'||unistr('\000a')||
'}'
 ,p_page_is_public_y_n => 'N'
 ,p_protection_level => 'N'
 ,p_cache_page_yn => 'N'
 ,p_cache_timeout_seconds => 21600
 ,p_cache_by_user_yn => 'N'
 ,p_help_text => 
'"PAGE_1_HELP"'
 ,p_last_updated_by => 'LAINFJAR'
 ,p_last_upd_yyyymmddhh24miss => '20150812134829'
  );
null;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'Help Text';

wwv_flow_api.create_page_plug (
  p_id=> 4275612809527924 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_plug_name=> 'Info',
  p_region_name=>'',
  p_escape_on_http_output=>'Y',
  p_plug_template=> 41049705817257773690+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_new_grid         => false,
  p_plug_new_grid_row     => true,
  p_plug_new_grid_column  => true,
  p_plug_display_column=> null,
  p_plug_display_point=> 'BODY_3',
  p_plug_item_display_point=> 'ABOVE',
  p_plug_source=> s,
  p_plug_source_type=> 'HELP_TEXT',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_num_rows_type => 'NEXT_PREVIOUS_LINKS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_caching=> 'NOT_CACHED',
  p_plug_comment=> '');
end;
/
declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select '||unistr('\000a')||
'"EMPNO",'||unistr('\000a')||
'"EMPNO" EMPNO_DISPLAY,'||unistr('\000a')||
'"ENAME",'||unistr('\000a')||
'"JOB",'||unistr('\000a')||
'"MGR",'||unistr('\000a')||
'"HIREDATE",'||unistr('\000a')||
'"SAL",'||unistr('\000a')||
'"COMM",'||unistr('\000a')||
'"DEPTNO"'||unistr('\000a')||
'from "#OWNER#"."DBSWH_JQ_AC_EMP"'||unistr('\000a')||
'';

wwv_flow_api.create_report_region (
  p_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_name=> 'Employees',
  p_region_name=>'',
  p_template=> 41049705817257773690+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 20,
  p_new_grid         => false,
  p_new_grid_row     => true,
  p_new_grid_column  => true,
  p_display_column=> null,
  p_display_point=> 'BODY_3',
  p_item_display_point=> 'ABOVE',
  p_source=> s,
  p_source_type=> 'UPDATABLE_SQL_QUERY',
  p_plug_caching=> 'NOT_CACHED',
  p_customized=> '0',
  p_translate_title=> 'Y',
  p_ajax_enabled=> 'Y',
  p_query_row_template=> 41049708838023773694+ wwv_flow_api.g_id_offset,
  p_query_headings_type=> 'COLON_DELMITED_LIST',
  p_query_num_rows=> '10',
  p_query_options=> 'DERIVED_REPORT_COLUMNS',
  p_query_show_nulls_as=> '(null)',
  p_query_break_cols=> '0',
  p_query_no_data_found=> 'No data found.',
  p_query_num_rows_type=> 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max=> '500',
  p_pagination_display_position=> 'BOTTOM_RIGHT',
  p_break_type_flag=> 'DEFAULT_BREAK_FORMATTING',
  p_csv_output=> 'N',
  p_query_asc_image=> 'apex/builder/dup.gif',
  p_query_asc_image_attr=> 'width="16" height="16" alt="" ',
  p_query_desc_image=> 'apex/builder/ddown.gif',
  p_query_desc_image_attr=> 'width="16" height="16" alt="" ',
  p_plug_query_strip_html=> 'Y',
  p_comment=>'');
end;
/
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 41049720632227777720 + wwv_flow_api.g_id_offset,
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'CHECK$01',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Select Row',
  p_column_alignment=>'LEFT',
  p_heading_alignment=>'CENTER',
  p_default_sort_column_sequence=>0,
  p_disable_sort_column=>'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=>'CHECKBOX',
  p_is_required=> false,
  p_pk_col_source=> s,
  p_derived_column=> 'Y',
  p_column_comment=>'');
end;
/
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 41049718017300777711 + wwv_flow_api.g_id_offset,
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'EMPNO',
  p_column_display_sequence=> 2,
  p_column_heading=> 'No',
  p_column_alignment=>'RIGHT',
  p_heading_alignment=>'LEFT',
  p_default_sort_column_sequence=>0,
  p_disable_sort_column=>'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'Y',
  p_display_as=>'HIDDEN',
  p_column_width=> '16',
  p_is_required=> false,
  p_pk_col_source=> s,
  p_ref_schema=> 'DBSWH',
  p_ref_table_name=> 'DBSWH_JQ_AC_EMP',
  p_ref_column_name=> 'EMPNO',
  p_column_comment=>'');
end;
/
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 41049718117048777711 + wwv_flow_api.g_id_offset,
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'EMPNO_DISPLAY',
  p_column_display_sequence=> 3,
  p_column_heading=> 'No',
  p_column_alignment=>'RIGHT',
  p_heading_alignment=>'LEFT',
  p_default_sort_column_sequence=>1,
  p_disable_sort_column=>'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=>'ESCAPE_SC',
  p_column_width=> '16',
  p_is_required=> false,
  p_pk_col_source=> s,
  p_ref_schema=> 'DBSWH',
  p_ref_table_name=> 'DBSWH_JQ_AC_EMP',
  p_ref_column_name=> 'EMPNO_DISPLAY',
  p_column_comment=>'');
end;
/
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 41049718229846777711 + wwv_flow_api.g_id_offset,
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'ENAME',
  p_column_display_sequence=> 4,
  p_column_heading=> 'Name',
  p_column_alignment=>'LEFT',
  p_heading_alignment=>'LEFT',
  p_default_sort_column_sequence=>0,
  p_disable_sort_column=>'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=>'TEXT',
  p_column_width=> '16',
  p_is_required=> false,
  p_pk_col_source=> s,
  p_ref_schema=> 'DBSWH',
  p_ref_table_name=> 'DBSWH_JQ_AC_EMP',
  p_ref_column_name=> 'ENAME',
  p_column_comment=>'');
end;
/
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 41049718309812777711 + wwv_flow_api.g_id_offset,
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 5,
  p_form_element_id=> null,
  p_column_alias=> 'JOB',
  p_column_display_sequence=> 5,
  p_column_heading=> 'Job',
  p_use_as_row_header=> 'N',
  p_column_alignment=>'LEFT',
  p_heading_alignment=>'LEFT',
  p_default_sort_column_sequence=>0,
  p_disable_sort_column=>'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=>'SELECT_LIST_FROM_LOV',
  p_named_lov=>6590124827552161 + wwv_flow_api.g_id_offset,
  p_lov_show_nulls=> 'NO',
  p_column_width=> '16',
  p_is_required=> false,
  p_pk_col_source=> s,
  p_lov_display_extra=> 'NO',
  p_include_in_export=> 'Y',
  p_ref_table_name=> 'DBSWH_JQ_AC_EMP',
  p_ref_column_name=> 'JOB',
  p_column_comment=>'');
end;
/
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 41049718418050777711 + wwv_flow_api.g_id_offset,
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 6,
  p_form_element_id=> null,
  p_column_alias=> 'MGR',
  p_column_display_sequence=> 6,
  p_column_heading=> 'Manager',
  p_use_as_row_header=> 'N',
  p_column_alignment=>'LEFT',
  p_heading_alignment=>'LEFT',
  p_default_sort_column_sequence=>0,
  p_disable_sort_column=>'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=>'POPUPKEY_QUERY',
  p_inline_lov=> 'SELECT ENAME'||unistr('\000a')||
'  ,EMPNO'||unistr('\000a')||
'FROM DBSWH_JQ_AC_EMP',
  p_lov_show_nulls=> 'YES',
  p_column_width=> '16',
  p_cattributes=> 'data-col-name="MGR"',
  p_is_required=> false,
  p_pk_col_source=> s,
  p_lov_display_extra=> 'NO',
  p_include_in_export=> 'Y',
  p_ref_table_name=> 'DBSWH_JQ_AC_EMP',
  p_ref_column_name=> 'MGR',
  p_column_comment=>'');
end;
/
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 41049718536944777711 + wwv_flow_api.g_id_offset,
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 7,
  p_form_element_id=> null,
  p_column_alias=> 'HIREDATE',
  p_column_display_sequence=> 7,
  p_column_heading=> 'Hired on',
  p_use_as_row_header=> 'N',
  p_column_alignment=>'RIGHT',
  p_heading_alignment=>'LEFT',
  p_default_sort_column_sequence=>0,
  p_disable_sort_column=>'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=>'DATE_PICKER',
  p_lov_show_nulls=> 'NO',
  p_column_width=> '16',
  p_is_required=> false,
  p_pk_col_source=> s,
  p_lov_display_extra=> 'YES',
  p_include_in_export=> 'Y',
  p_ref_schema=> 'DBSWH',
  p_ref_table_name=> 'DBSWH_JQ_AC_EMP',
  p_ref_column_name=> 'HIREDATE',
  p_column_comment=>'');
end;
/
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 41049718630232777711 + wwv_flow_api.g_id_offset,
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 8,
  p_form_element_id=> null,
  p_column_alias=> 'SAL',
  p_column_display_sequence=> 8,
  p_column_heading=> 'Salary',
  p_use_as_row_header=> 'N',
  p_column_alignment=>'RIGHT',
  p_heading_alignment=>'LEFT',
  p_default_sort_column_sequence=>0,
  p_disable_sort_column=>'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=>'TEXT',
  p_lov_show_nulls=> 'NO',
  p_column_width=> '16',
  p_is_required=> false,
  p_pk_col_source=> s,
  p_lov_display_extra=> 'YES',
  p_include_in_export=> 'Y',
  p_ref_schema=> 'DBSWH',
  p_ref_table_name=> 'DBSWH_JQ_AC_EMP',
  p_ref_column_name=> 'SAL',
  p_column_comment=>'');
end;
/
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 41049718714380777711 + wwv_flow_api.g_id_offset,
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 9,
  p_form_element_id=> null,
  p_column_alias=> 'COMM',
  p_column_display_sequence=> 9,
  p_column_heading=> 'Comm',
  p_use_as_row_header=> 'N',
  p_column_alignment=>'RIGHT',
  p_heading_alignment=>'LEFT',
  p_default_sort_column_sequence=>0,
  p_disable_sort_column=>'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=>'TEXT',
  p_lov_show_nulls=> 'NO',
  p_column_width=> '16',
  p_is_required=> false,
  p_pk_col_source=> s,
  p_lov_display_extra=> 'YES',
  p_include_in_export=> 'Y',
  p_ref_schema=> 'DBSWH',
  p_ref_table_name=> 'DBSWH_JQ_AC_EMP',
  p_ref_column_name=> 'COMM',
  p_column_comment=>'');
end;
/
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 41049718833934777712 + wwv_flow_api.g_id_offset,
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 10,
  p_form_element_id=> null,
  p_column_alias=> 'DEPTNO',
  p_column_display_sequence=> 10,
  p_column_heading=> 'Department',
  p_use_as_row_header=> 'N',
  p_column_alignment=>'LEFT',
  p_heading_alignment=>'LEFT',
  p_default_sort_column_sequence=>0,
  p_disable_sort_column=>'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=>'POPUPKEY',
  p_named_lov=>41116447809470647274 + wwv_flow_api.g_id_offset,
  p_lov_show_nulls=> 'NO',
  p_column_width=> '16',
  p_cattributes=> 'data-col-name="DEPTNO"',
  p_is_required=> false,
  p_pk_col_source=> s,
  p_lov_display_extra=> 'NO',
  p_include_in_export=> 'Y',
  p_ref_table_name=> 'DBSWH_JQ_AC_EMP',
  p_ref_column_name=> 'DEPTNO',
  p_column_comment=>'');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 41049719224084777716 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 1,
  p_button_sequence=> 40,
  p_button_plug_id => 41049717909093777707+wwv_flow_api.g_id_offset,
  p_button_name    => 'ADD',
  p_button_action  => 'DEFINED_BY_DA',
  p_button_image   => 'template:'||to_char(41049711830826773699+wwv_flow_api.g_id_offset),
  p_button_is_hot=>'N',
  p_button_image_alt=> 'Add Row',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'RIGHT',
  p_button_redirect_url=> '',
  p_button_execute_validations=>'Y',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 1,
  p_button_sequence=> 30,
  p_button_plug_id => 41049717909093777707+wwv_flow_api.g_id_offset,
  p_button_name    => 'SUBMIT',
  p_button_action  => 'SUBMIT',
  p_button_image   => 'template:'||to_char(41049711830826773699+wwv_flow_api.g_id_offset),
  p_button_is_hot=>'Y',
  p_button_image_alt=> 'Submit',
  p_button_position=> 'REGION_TEMPLATE_CHANGE',
  p_button_alignment=> 'RIGHT',
  p_button_redirect_url=> '',
  p_button_execute_validations=>'Y',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 41049718910385777716 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 1,
  p_button_sequence=> 10,
  p_button_plug_id => 41049717909093777707+wwv_flow_api.g_id_offset,
  p_button_name    => 'CANCEL',
  p_button_action  => 'REDIRECT_PAGE',
  p_button_image   => 'template:'||to_char(41049711830826773699+wwv_flow_api.g_id_offset),
  p_button_is_hot=>'N',
  p_button_image_alt=> 'Cancel',
  p_button_position=> 'REGION_TEMPLATE_CLOSE',
  p_button_alignment=> 'RIGHT',
  p_button_redirect_url=> 'f?p=&APP_ID.:1:&SESSION.::&DEBUG.:::',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 41049719111838777716 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 1,
  p_button_sequence=> 20,
  p_button_plug_id => 41049717909093777707+wwv_flow_api.g_id_offset,
  p_button_name    => 'MULTI_ROW_DELETE',
  p_button_action  => 'REDIRECT_URL',
  p_button_image   => 'template:'||to_char(41049711830826773699+wwv_flow_api.g_id_offset),
  p_button_is_hot=>'N',
  p_button_image_alt=> 'Delete',
  p_button_position=> 'REGION_TEMPLATE_DELETE',
  p_button_alignment=> 'RIGHT',
  p_button_redirect_url=> 'javascript:apex.confirm(htmldb_delete_message,''MULTI_ROW_DELETE'');',
  p_button_execute_validations=>'N',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>41049720710291777720 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 1,
  p_branch_name=> '',
  p_branch_action=> 'f?p=&APP_ID.:1:&APP_SESSION.::&DEBUG.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 10,
  p_save_state_before_branch_yn=>'N',
  p_branch_comment=> '');
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 41049719408143777718 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_tabular_form_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_validation_name => 'ENAME not null',
  p_validation_sequence=> 10,
  p_validation => 'ENAME',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => '#COLUMN_HEADER# must have a value.',
  p_when_button_pressed=> 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_associated_column=> 'ENAME',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 41049719505984777719 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_tabular_form_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_validation_name => 'JOB not null',
  p_validation_sequence=> 20,
  p_validation => 'JOB',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => '#COLUMN_HEADER# must have a value.',
  p_when_button_pressed=> 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_associated_column=> 'JOB',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 41049719619038777719 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_tabular_form_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_validation_name => 'MGR must be numeric',
  p_validation_sequence=> 30,
  p_validation => 'MGR',
  p_validation_type => 'ITEM_IS_NUMERIC',
  p_error_message => '#COLUMN_HEADER# must be numeric.',
  p_when_button_pressed=> 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_associated_column=> 'MGR',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 41049719722219777719 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_tabular_form_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_validation_name => 'HIREDATE not null',
  p_validation_sequence=> 40,
  p_validation => 'HIREDATE',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => '#COLUMN_HEADER# must have a value.',
  p_when_button_pressed=> 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_associated_column=> 'HIREDATE',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 41049719807436777719 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_tabular_form_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_validation_name => 'HIREDATE must be a valid date',
  p_validation_sequence=> 50,
  p_validation => 'HIREDATE',
  p_validation_type => 'ITEM_IS_DATE',
  p_error_message => '#COLUMN_HEADER# must be a valid date.',
  p_when_button_pressed=> 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_associated_column=> 'HIREDATE',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 41049719920157777719 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_tabular_form_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_validation_name => 'SAL not null',
  p_validation_sequence=> 60,
  p_validation => 'SAL',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => '#COLUMN_HEADER# must have a value.',
  p_when_button_pressed=> 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_associated_column=> 'SAL',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 41049720007483777719 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_tabular_form_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_validation_name => 'SAL must be numeric',
  p_validation_sequence=> 70,
  p_validation => 'SAL',
  p_validation_type => 'ITEM_IS_NUMERIC',
  p_error_message => '#COLUMN_HEADER# must be numeric.',
  p_when_button_pressed=> 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_associated_column=> 'SAL',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 41049720115266777719 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_tabular_form_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_validation_name => 'COMM must be numeric',
  p_validation_sequence=> 80,
  p_validation => 'COMM',
  p_validation_type => 'ITEM_IS_NUMERIC',
  p_error_message => '#COLUMN_HEADER# must be numeric.',
  p_when_button_pressed=> 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_associated_column=> 'COMM',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 41049720237842777719 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_tabular_form_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_validation_name => 'DEPTNO not null',
  p_validation_sequence=> 90,
  p_validation => 'DEPTNO',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => '#COLUMN_HEADER# must have a value.',
  p_when_button_pressed=> 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_associated_column=> 'DEPTNO',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 41049720314014777719 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_tabular_form_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_validation_name => 'DEPTNO must be numeric',
  p_validation_sequence=> 100,
  p_validation => 'DEPTNO',
  p_validation_type => 'ITEM_IS_NUMERIC',
  p_error_message => '#COLUMN_HEADER# must be numeric.',
  p_when_button_pressed=> 41049719006498777716 + wwv_flow_api.g_id_offset,
  p_associated_column=> 'DEPTNO',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_da_event (
  p_id => 41050361415869896725 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_page_id => 1
 ,p_name => 'Set autocomplete'
 ,p_event_sequence => 10
 ,p_triggering_element_type => 'REGION'
 ,p_triggering_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset
 ,p_bind_type => 'bind'
 ,p_bind_event_type => 'apexafterrefresh'
  );
wwv_flow_api.create_page_da_action (
  p_id => 41050363709000896726 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_page_id => 1
 ,p_event_id => 41050361415869896725 + wwv_flow_api.g_id_offset
 ,p_event_result => 'TRUE'
 ,p_action_sequence => 10
 ,p_execute_on_page_init => 'Y'
 ,p_action => 'NATIVE_JAVASCRIPT_CODE'
 ,p_affected_elements_type => 'REGION'
 ,p_affected_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset
 ,p_attribute_01 => 'this.affectedElements.find("input[data-col-name=MGR]")'||unistr('\000a')||
'.htmldbAutoComplete({'||unistr('\000a')||
' process:"GET_LOV",'||unistr('\000a')||
' removeIcon:false,'||unistr('\000a')||
' cacheVar:mgrCache'||unistr('\000a')||
'});'||unistr('\000a')||
'this.affectedElements.find("input[data-col-name=DEPTNO]")'||unistr('\000a')||
'.htmldbAutoComplete({'||unistr('\000a')||
' process:"GET_LOV",'||unistr('\000a')||
' removeIcon:true,'||unistr('\000a')||
' cacheVar:false'||unistr('\000a')||
'});'
 ,p_stop_execution_on_error => 'Y'
 );
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_da_event (
  p_id => 41050078612921841482 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_page_id => 1
 ,p_name => 'Add row'
 ,p_event_sequence => 20
 ,p_triggering_element_type => 'BUTTON'
 ,p_triggering_button_id => 41049719224084777716 + wwv_flow_api.g_id_offset
 ,p_bind_type => 'bind'
 ,p_bind_event_type => 'click'
  );
wwv_flow_api.create_page_da_action (
  p_id => 41050078936022841483 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_page_id => 1
 ,p_event_id => 41050078612921841482 + wwv_flow_api.g_id_offset
 ,p_event_result => 'TRUE'
 ,p_action_sequence => 10
 ,p_execute_on_page_init => 'N'
 ,p_action => 'NATIVE_JAVASCRIPT_CODE'
 ,p_affected_elements_type => 'REGION'
 ,p_affected_region_id => 41049717909093777707 + wwv_flow_api.g_id_offset
 ,p_attribute_01 => 'apex.widget.tabular.addRow();'||unistr('\000a')||
'this.affectedElements.find("input[data-col-name=MGR]:last")'||unistr('\000a')||
'.htmldbAutoComplete({'||unistr('\000a')||
' process:"GET_LOV",'||unistr('\000a')||
' removeIcon:false,'||unistr('\000a')||
' cacheVar:mgrCache'||unistr('\000a')||
'});'||unistr('\000a')||
'this.affectedElements.find("input[data-col-name=DEPTNO]:last")'||unistr('\000a')||
'.htmldbAutoComplete({'||unistr('\000a')||
' process:"GET_LOV",'||unistr('\000a')||
' removeIcon:true,'||unistr('\000a')||
' cacheVar:false'||unistr('\000a')||
'});'
 ,p_stop_execution_on_error => 'Y'
 );
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:DBSWH_JQ_AC_EMP:EMPNO';

wwv_flow_api.create_page_process(
  p_id     => 41049720408668777719 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_SUBMIT',
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_process_type=> 'MULTI_ROW_UPDATE',
  p_process_name=> 'Apply MRU',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'INLINE_IN_NOTIFICATION',
  p_process_when_button_id=>41049719006498777716 + wwv_flow_api.g_id_offset,
  p_exec_cond_for_each_row=> 'N',
  p_process_success_message=> '#MRU_COUNT# row(s) updated, #MRI_COUNT# row(s) inserted.',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:DBSWH_JQ_AC_EMP:EMPNO';

wwv_flow_api.create_page_process(
  p_id     => 41049720537272777720 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_process_sequence=> 20,
  p_process_point=> 'AFTER_SUBMIT',
  p_region_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_process_type=> 'MULTI_ROW_DELETE',
  p_process_name=> 'Apply MRD',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'INLINE_IN_NOTIFICATION',
  p_process_when=>'MULTI_ROW_DELETE',
  p_process_when_type=>'REQUEST_EQUALS_CONDITION',
  p_exec_cond_for_each_row=> 'N',
  p_process_success_message=> '#MRD_COUNT# row(s) deleted.',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'DECLARE'||unistr('\000a')||
'  l_cursor	PLS_INTEGER;'||unistr('\000a')||
'  l_status	PLS_INTEGER;'||unistr('\000a')||
'  l_col_cnt PLS_INTEGER;'||unistr('\000a')||
'  l_row_cnt	SIMPLE_INTEGER := 0;'||unistr('\000a')||
'  l_column	dbms_sql.desc_tab2;'||unistr('\000a')||
'  l_value	VARCHAR2(32767);'||unistr('\000a')||
'  l_sql		VARCHAR2(32767);'||unistr('\000a')||
'BEGIN'||unistr('\000a')||
''||unistr('\000a')||
'  SELECT COALESCE(c.inline_list_of_values, l.list_of_values_query) as qry'||unistr('\000a')||
'  INTO l_sql'||unistr('\000a')||
'  FROM apex_application_page_rpt_cols c'||unistr('\000a')||
'  LEFT JOIN apex_application_lovs l'||unistr('\000a')||
'	ON c.named_list_of_values = l.l';

p:=p||'ist_of_values_name '||unistr('\000a')||
'	AND l.application_id = :APP_ID'||unistr('\000a')||
'  WHERE c.application_id = :APP_ID'||unistr('\000a')||
'  AND c.page_id = :APP_PAGE_ID'||unistr('\000a')||
'  AND c.column_alias = APEX_APPLICATION.G_x02'||unistr('\000a')||
'  ;'||unistr('\000a')||
'  '||unistr('\000a')||
'  l_cursor := dbms_sql.open_cursor;'||unistr('\000a')||
'  dbms_sql.parse (l_cursor, l_sql, dbms_sql.native);'||unistr('\000a')||
'  dbms_sql.describe_columns2(l_cursor, l_col_cnt, l_column);'||unistr('\000a')||
'  dbms_sql.close_cursor(l_cursor);'||unistr('\000a')||
'  '||unistr('\000a')||
'  IF l_column.count != 2 THEN'||unistr('\000a')||
'    raise_a';

p:=p||'pplication_error (-20001, ''Invalid list of values query'');'||unistr('\000a')||
'  END IF;'||unistr('\000a')||
'  '||unistr('\000a')||
'  l_sql := ''SELECT * FROM ('' '||unistr('\000a')||
'	|| l_sql '||unistr('\000a')||
'	|| '') WHERE INSTR(UPPER('''||unistr('\000a')||
'	|| l_column(1).col_name'||unistr('\000a')||
'	|| ''), :term) > 0'''||unistr('\000a')||
'	|| '' ORDER BY 1'''||unistr('\000a')||
'	;'||unistr('\000a')||
'  '||unistr('\000a')||
'  l_cursor := dbms_sql.open_cursor;'||unistr('\000a')||
'  dbms_sql.parse (l_cursor, l_sql, dbms_sql.native);'||unistr('\000a')||
'  dbms_sql.bind_variable(l_cursor, '':term'', UPPER( APEX_APPLICATION.G_x01));'||unistr('\000a')||
'  dbms_sql.describe_colum';

p:=p||'ns2(l_cursor, l_col_cnt, l_column);'||unistr('\000a')||
'  '||unistr('\000a')||
'  FOR i IN 1 .. l_column.count'||unistr('\000a')||
'  LOOP'||unistr('\000a')||
'    dbms_sql.define_column(l_cursor, i, l_value, 32767);'||unistr('\000a')||
'  END LOOP;'||unistr('\000a')||
'  '||unistr('\000a')||
'  l_status := dbms_sql.execute(l_cursor);'||unistr('\000a')||
'  '||unistr('\000a')||
'  LOOP'||unistr('\000a')||
'    EXIT'||unistr('\000a')||
'  WHEN (dbms_sql.fetch_rows(l_cursor) <= 0 );'||unistr('\000a')||
' '||unistr('\000a')||
'	l_row_cnt := l_row_cnt + 1;'||unistr('\000a')||
'    IF l_row_cnt = 1 THEN'||unistr('\000a')||
'      htp.prn(''{"row":[{'');'||unistr('\000a')||
'	ELSE'||unistr('\000a')||
'	  htp.prn('',{'');'||unistr('\000a')||
'    END IF;'||unistr('\000a')||
'	'||unistr('\000a')||
'	FOR i IN 1 .. l_colu';

p:=p||'mn.count'||unistr('\000a')||
'    LOOP'||unistr('\000a')||
'      dbms_sql.column_value(l_cursor, i, l_value);'||unistr('\000a')||
'      IF i = 1 THEN'||unistr('\000a')||
'        htp.prn(''"value":"'' || l_value || ''"'');'||unistr('\000a')||
'      ELSIF i = 2 THEN'||unistr('\000a')||
'        htp.prn('',"retval":"'' || l_value || ''"}'');'||unistr('\000a')||
'      END IF;'||unistr('\000a')||
'    END LOOP;	'||unistr('\000a')||
'  END LOOP;'||unistr('\000a')||
''||unistr('\000a')||
'  IF l_row_cnt = 0 THEN'||unistr('\000a')||
'	htp.prn(''{"row":[]}'');'||unistr('\000a')||
'  ELSE'||unistr('\000a')||
'	htp.prn('']}'');'||unistr('\000a')||
'  END IF;'||unistr('\000a')||
'  '||unistr('\000a')||
'  dbms_sql.close_cursor(l_cursor);'||unistr('\000a')||
'  '||unistr('\000a')||
'END;';

wwv_flow_api.create_page_process(
  p_id     => 6572328144064910 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_process_sequence=> 30,
  p_process_point=> 'ON_DEMAND',
  p_process_type=> 'PLSQL',
  p_process_name=> 'GET_LOV',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'ON_ERROR_PAGE',
  p_only_for_changed_rows=> 'Y',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 1
--
 
begin
 
wwv_flow_api.create_region_rpt_cols (
  p_id     => 41050159217401845240 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_plug_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_column_sequence=> 1,
  p_query_column_name=> 'EMPNO',
  p_display_as=> 'TEXT',
  p_column_comment=> '');
 
wwv_flow_api.create_region_rpt_cols (
  p_id     => 41050159306880845241 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_plug_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_column_sequence=> 2,
  p_query_column_name=> 'EMPNO_DISPLAY',
  p_display_as=> 'TEXT',
  p_column_comment=> '');
 
wwv_flow_api.create_region_rpt_cols (
  p_id     => 41050159420584845241 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_plug_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_column_sequence=> 3,
  p_query_column_name=> 'ENAME',
  p_display_as=> 'TEXT',
  p_column_comment=> '');
 
wwv_flow_api.create_region_rpt_cols (
  p_id     => 41050167532509845241 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_plug_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_column_sequence=> 4,
  p_query_column_name=> 'JOB',
  p_display_as=> 'TEXT',
  p_column_comment=> '');
 
wwv_flow_api.create_region_rpt_cols (
  p_id     => 41050167634343845241 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_plug_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_column_sequence=> 5,
  p_query_column_name=> 'MGR',
  p_display_as=> 'TEXT',
  p_column_comment=> '');
 
wwv_flow_api.create_region_rpt_cols (
  p_id     => 41050167714735845241 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_plug_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_column_sequence=> 6,
  p_query_column_name=> 'HIREDATE',
  p_display_as=> 'TEXT',
  p_column_comment=> '');
 
wwv_flow_api.create_region_rpt_cols (
  p_id     => 41050167823052845241 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_plug_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_column_sequence=> 7,
  p_query_column_name=> 'SAL',
  p_display_as=> 'TEXT',
  p_column_comment=> '');
 
wwv_flow_api.create_region_rpt_cols (
  p_id     => 41050167926196845241 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_plug_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_column_sequence=> 8,
  p_query_column_name=> 'COMM',
  p_display_as=> 'TEXT',
  p_column_comment=> '');
 
wwv_flow_api.create_region_rpt_cols (
  p_id     => 41050168013558845241 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_plug_id=> 41049717909093777707 + wwv_flow_api.g_id_offset,
  p_column_sequence=> 9,
  p_query_column_name=> 'DEPTNO',
  p_display_as=> 'TEXT',
  p_column_comment=> '');
 
null;
end;
null;
 
end;
/

 
--application/pages/page_00101
prompt  ...PAGE 101: Login
--
 
begin
 
wwv_flow_api.create_page (
  p_flow_id => wwv_flow.g_flow_id
 ,p_id => 101
 ,p_user_interface_id => 41049712910200773703 + wwv_flow_api.g_id_offset
 ,p_name => 'Login'
 ,p_alias => 'LOGIN_DESKTOP'
 ,p_step_title => 'Login'
 ,p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS'
 ,p_first_item => 'AUTO_FIRST_ITEM'
 ,p_include_apex_css_js_yn => 'Y'
 ,p_autocomplete_on_off => 'OFF'
 ,p_step_template => 41049703125194773682 + wwv_flow_api.g_id_offset
 ,p_page_is_public_y_n => 'Y'
 ,p_cache_page_yn => 'N'
 ,p_last_updated_by => 'LAINFJAR'
 ,p_last_upd_yyyymmddhh24miss => '20140308091817'
  );
null;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 41049713407902773704 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 101,
  p_plug_name=> 'Login',
  p_region_name=>'',
  p_escape_on_http_output=>'N',
  p_plug_template=> 41049705817257773690+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_new_grid         => false,
  p_plug_new_grid_row     => true,
  p_plug_new_grid_column  => true,
  p_plug_display_column=> null,
  p_plug_display_point=> 'BODY_3',
  p_plug_item_display_point=> 'ABOVE',
  p_plug_source=> s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_display_condition_type => '',
  p_plug_caching=> 'NOT_CACHED',
  p_plug_comment=> '');
end;
/
 
begin
 
null;
 
end;
/

 
begin
 
null;
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>41049713526281773705 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 101,
  p_name=>'P101_USERNAME',
  p_data_type=> '',
  p_is_required=> false,
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 10,
  p_item_plug_id => 41049713407902773704+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> '',
  p_prompt=>'Username',
  p_display_as=> 'NATIVE_TEXT_FIELD',
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 40,
  p_cMaxlength=> 100,
  p_cHeight=> null,
  p_new_grid=> false,
  p_begin_on_new_line=> 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan=> null,
  p_rowspan=> null,
  p_grid_column=> null,
  p_label_alignment=> 'RIGHT',
  p_field_alignment=> 'LEFT',
  p_field_template=> 41049711212655773698+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_attribute_01 => 'N',
  p_attribute_02 => 'N',
  p_attribute_03 => 'N',
  p_attribute_04 => 'TEXT',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>41049713612175773705 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 101,
  p_name=>'P101_PASSWORD',
  p_data_type=> '',
  p_is_required=> false,
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 41049713407902773704+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> '',
  p_prompt=>'Password',
  p_display_as=> 'NATIVE_PASSWORD',
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 40,
  p_cMaxlength=> 100,
  p_cHeight=> null,
  p_new_grid=> false,
  p_begin_on_new_line=> 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan=> null,
  p_rowspan=> null,
  p_grid_column=> null,
  p_label_alignment=> 'RIGHT',
  p_field_alignment=> 'LEFT',
  p_field_template=> 41049711212655773698+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_attribute_01 => 'Y',
  p_attribute_02 => 'Y',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>41049713708240773705 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 101,
  p_name=>'P101_LOGIN',
  p_data_type=> '',
  p_is_required=> false,
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 30,
  p_item_plug_id => 41049713407902773704+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> '',
  p_item_default=> 'LOGIN',
  p_prompt=>'Login',
  p_source=>'LOGIN',
  p_source_type=> 'STATIC',
  p_display_as=> 'BUTTON',
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> null,
  p_cHeight=> null,
  p_tag_attributes  => 'template:'||to_char(41049711830826773699 + wwv_flow_api.g_id_offset),
  p_new_grid=> false,
  p_begin_on_new_line=> 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan=> null,
  p_rowspan=> null,
  p_grid_column=> null,
  p_label_alignment=> 'LEFT',
  p_field_alignment=> 'LEFT',
  p_is_persistent=> 'Y',
  p_button_execute_validations=>'Y',
  p_button_action => 'SUBMIT',
  p_button_is_hot=>'Y',
  p_item_comment => '');
 
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'apex_authentication.send_login_username_cookie ('||unistr('\000a')||
'    p_username => lower(:P101_USERNAME) );';

wwv_flow_api.create_page_process(
  p_id     => 41049713913779773705 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Set Username Cookie',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'INLINE_IN_NOTIFICATION',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'apex_authentication.login('||unistr('\000a')||
'    p_username => :P101_USERNAME,'||unistr('\000a')||
'    p_password => :P101_PASSWORD );';

wwv_flow_api.create_page_process(
  p_id     => 41049713829521773705 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 20,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Login',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'INLINE_IN_NOTIFICATION',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'101';

wwv_flow_api.create_page_process(
  p_id     => 41049714124006773706 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 30,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'CLEAR_CACHE_FOR_PAGES',
  p_process_name=> 'Clear Page(s) Cache',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'INLINE_IN_NOTIFICATION',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||':P101_USERNAME := apex_authentication.get_login_username_cookie;';

wwv_flow_api.create_page_process(
  p_id     => 41049714036720773705 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 10,
  p_process_point=> 'BEFORE_HEADER',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Get Username Cookie',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'ON_ERROR_PAGE',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 101
--
 
begin
 
null;
end;
null;
 
end;
/

prompt  ...lists
--
--application/shared_components/navigation/breadcrumbs
prompt  ...breadcrumbs
--
prompt  ...page templates for application: 103
--
--application/shared_components/user_interface/templates/page/login
prompt  ......Page template 41049703125194773682
 
begin
 
wwv_flow_api.create_template (
  p_id => 41049703125194773682 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_theme_id => 24
 ,p_name => 'Login'
 ,p_is_popup => false
 ,p_header_template => '<!DOCTYPE html>'||unistr('\000a')||
'<!--[if lt IE 7 ]> <html class="ie6 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 7 ]>    <html class="ie7 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 8 ]>    <html class="ie8 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 9 ]>    <html class="ie9" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if (gt IE 9)|!(IE)]><!--> <html lang="&BROWSER_LANGUAGE."> <!--<![endif]-->'||unistr('\000a')||
'<head>'||unistr('\000a')||
'  <meta charset="UTF-8">'||unistr('\000a')||
'  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">'||unistr('\000a')||
'  <title>#TITLE#</title>'||unistr('\000a')||
'  <link rel="icon" href="#IMAGE_PREFIX#favicon.ico" type="image/x-icon">'||unistr('\000a')||
'  <link rel="shortcut icon" href="#IMAGE_PREFIX#favicon.ico" type="image/x-icon">'||unistr('\000a')||
'  #APEX_CSS#'||unistr('\000a')||
'#TEMPLATE_CSS#'||unistr('\000a')||
'#THEME_CSS#'||unistr('\000a')||
'#PAGE_CSS#'||unistr('\000a')||
'#APEX_JAVASCRIPT#'||unistr('\000a')||
'#TEMPLATE_JAVASCRIPT#'||unistr('\000a')||
'#APPLICATION_JAVASCRIPT#'||unistr('\000a')||
'#PAGE_JAVASCRIPT#'||unistr('\000a')||
'#HEAD#'||unistr('\000a')||
'  <meta name="viewport" content="width=device-width, initial-scale=1.0">'||unistr('\000a')||
'  <link rel="stylesheet" href="#IMAGE_PREFIX#themes/theme_24/css/4_1.css">'||unistr('\000a')||
'  <script src="#IMAGE_PREFIX#themes/theme_24/js/4_1.js"></script>'||unistr('\000a')||
'</head>'||unistr('\000a')||
'<body #ONLOAD# id="uLogin">'||unistr('\000a')||
'  <!--[if lte IE 6]><div id="outdated-browser">#OUTDATED_BROWSER#</div><![endif]-->'||unistr('\000a')||
'  #FORM_OPEN#'||unistr('\000a')||
'  <div id="uBodyContainer">'
 ,p_box => 
'<div id="uLoginContainer">'||unistr('\000a')||
'  #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#'||unistr('\000a')||
'  #REGION_POSITION_02#'||unistr('\000a')||
'  #BOX_BODY#'||unistr('\000a')||
'  #REGION_POSITION_03#'||unistr('\000a')||
'</div>'
 ,p_footer_template => 
'</div>'||unistr('\000a')||
'#FORM_CLOSE#'||unistr('\000a')||
'#DEVELOPER_TOOLBAR#'||unistr('\000a')||
'#GENERATED_CSS#'||unistr('\000a')||
'#GENERATED_JAVASCRIPT#'||unistr('\000a')||
'</body>'||unistr('\000a')||
'</html>'
 ,p_success_message => '<section class="uRegion uWhiteRegion uMessageRegion clearfix" id="uSuccessMessage">'||unistr('\000a')||
'  <div class="uRegionContent clearfix">'||unistr('\000a')||
'    <a href="javascript:void(0)" onclick="$x_Remove(''uSuccessMessage'')" class="uCloseMessage"></a>'||unistr('\000a')||
'    <img src="#IMAGE_PREFIX#f_spacer.gif" class="uCheckmarkIcon" alt="" />'||unistr('\000a')||
'    <div class="uMessageText">'||unistr('\000a')||
'      #SUCCESS_MESSAGE#'||unistr('\000a')||
'    </div>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</section>'
 ,p_notification_message => '<section class="uSingleAlertMessage red" id="uNotificationMessage">'||unistr('\000a')||
'	<p>#MESSAGE#</p>'||unistr('\000a')||
'	<a href="javascript:void(0)" class="closeMessage" onclick="$x_Remove(''uNotificationMessage'')"></a>'||unistr('\000a')||
'</section>'||unistr('\000a')||
''
 ,p_navigation_bar => '#BAR_BODY#'
 ,p_region_table_cattributes => ' summary="" cellpadding="0" border="0" cellspacing="0"'
 ,p_theme_class_id => 6
 ,p_grid_type => 'TABLE'
 ,p_has_edit_links => true
 ,p_translate_this_template => 'N'
 ,p_template_comment => '18'
  );
null;
 
end;
/

--application/shared_components/user_interface/templates/page/no_tabs_no_sidebar
prompt  ......Page template 41049703416404773685
 
begin
 
wwv_flow_api.create_template (
  p_id => 41049703416404773685 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_theme_id => 24
 ,p_name => 'No Tabs - No Sidebar'
 ,p_is_popup => false
 ,p_header_template => '<!DOCTYPE html>'||unistr('\000a')||
'<!--[if lt IE 7 ]> <html class="ie6 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 7 ]>    <html class="ie7 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 8 ]>    <html class="ie8 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 9 ]>    <html class="ie9" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if (gt IE 9)|!(IE)]><!--> <html lang="&BROWSER_LANGUAGE."> <!--<![endif]-->'||unistr('\000a')||
'<head>'||unistr('\000a')||
'  <meta charset="UTF-8">'||unistr('\000a')||
'  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">'||unistr('\000a')||
'  <title>#TITLE#</title>'||unistr('\000a')||
'  <link rel="icon" href="#IMAGE_PREFIX#favicon.ico" type="image/x-icon">'||unistr('\000a')||
'  <link rel="shortcut icon" href="#IMAGE_PREFIX#favicon.ico" type="image/x-icon">'||unistr('\000a')||
'  #APEX_CSS#'||unistr('\000a')||
'#TEMPLATE_CSS#'||unistr('\000a')||
'#THEME_CSS#'||unistr('\000a')||
'#PAGE_CSS#'||unistr('\000a')||
'#APEX_JAVASCRIPT#'||unistr('\000a')||
'#TEMPLATE_JAVASCRIPT#'||unistr('\000a')||
'#APPLICATION_JAVASCRIPT#'||unistr('\000a')||
'#PAGE_JAVASCRIPT#'||unistr('\000a')||
'#HEAD#'||unistr('\000a')||
'  <meta name="viewport" content="width=device-width, initial-scale=1.0">'||unistr('\000a')||
'  <link rel="stylesheet" href="#IMAGE_PREFIX#themes/theme_24/css/4_1.css">'||unistr('\000a')||
'  <script src="#IMAGE_PREFIX#themes/theme_24/js/4_1.js"></script>'||unistr('\000a')||
'</head>'||unistr('\000a')||
'<body #ONLOAD#>'||unistr('\000a')||
'  <!--[if lte IE 6]><div id="outdated-browser">#OUTDATED_BROWSER#</div><![endif]-->'||unistr('\000a')||
'  #FORM_OPEN#'||unistr('\000a')||
'  <div id="uBodyContainer">'
 ,p_box => 
'<header id="uHeader">'||unistr('\000a')||
'  #REGION_POSITION_07#'||unistr('\000a')||
'  <hgroup>'||unistr('\000a')||
'    <a href="#HOME_LINK#" id="uLogo">#LOGO#</a>'||unistr('\000a')||
'    <div class="uAPEXNavBar">'||unistr('\000a')||
'      <ul>'||unistr('\000a')||
'        #NAVIGATION_BAR#'||unistr('\000a')||
'      </ul>'||unistr('\000a')||
'    </div>'||unistr('\000a')||
'    #REGION_POSITION_08#'||unistr('\000a')||
'  </hgroup>'||unistr('\000a')||
'  #REGION_POSITION_04#'||unistr('\000a')||
'</header>'||unistr('\000a')||
'#REGION_POSITION_01#'||unistr('\000a')||
'#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#'||unistr('\000a')||
'<div id="uOneCol">'||unistr('\000a')||
'  #REGION_POSITION_02#'||unistr('\000a')||
'  #BOX_BODY#'||unistr('\000a')||
''||
'  #REGION_POSITION_03#'||unistr('\000a')||
'</div>'
 ,p_footer_template => 
'<footer id="uFooter">'||unistr('\000a')||
'  <div class="uFooterContent">'||unistr('\000a')||
'    <div id="customize">#CUSTOMIZE#</div>'||unistr('\000a')||
'    #REGION_POSITION_05#'||unistr('\000a')||
'    #APP_VERSION#'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'  <div class="uFooterBG">'||unistr('\000a')||
'    <div class="uLeft"></div>'||unistr('\000a')||
'    <div class="uRight"></div>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</footer>'||unistr('\000a')||
'<div id="uHiddenItems">'||unistr('\000a')||
'  #REGION_POSITION_08#'||unistr('\000a')||
'</div>'||unistr('\000a')||
'</div>'||unistr('\000a')||
'#FORM_CLOSE#'||unistr('\000a')||
'#DEVELOPER_TOOLBAR#'||unistr('\000a')||
'#GENERATED_CSS#'||unistr('\000a')||
'#GENERATED_JAVASCRIPT#'||unistr('\000a')||
'</body>'||unistr('\000a')||
'</html'||
'>'
 ,p_success_message => '<section class="uRegion uWhiteRegion uMessageRegion clearfix" id="uSuccessMessage">'||unistr('\000a')||
'  <div class="uRegionContent clearfix">'||unistr('\000a')||
'    <a href="javascript:void(0)" onclick="$x_Remove(''uSuccessMessage'')" class="uCloseMessage"></a>'||unistr('\000a')||
'    <img src="#IMAGE_PREFIX#f_spacer.gif" class="uCheckmarkIcon" alt="" />'||unistr('\000a')||
'    <div class="uMessageText">'||unistr('\000a')||
'      #SUCCESS_MESSAGE#'||unistr('\000a')||
'    </div>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</section>'||unistr('\000a')||
''
 ,p_notification_message => '<section class="uRegion uWhiteRegion uMessageRegion clearfix" id="uNotificationMessage">'||unistr('\000a')||
'  <div class="uRegionContent clearfix">'||unistr('\000a')||
'    <a href="javascript:void(0)" onclick="$x_Remove(''uNotificationMessage'')" class="uCloseMessage"></a>'||unistr('\000a')||
'    <img src="#IMAGE_PREFIX#f_spacer.gif" class="uWarningIcon" alt="" />'||unistr('\000a')||
'    <div class="uMessageText">'||unistr('\000a')||
'      #MESSAGE#'||unistr('\000a')||
'    </div>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</section>'||unistr('\000a')||
''
 ,p_navigation_bar => '#BAR_BODY#'
 ,p_navbar_entry => '<li><a href="#LINK#">#TEXT#</a>#EDIT#</li>'
 ,p_region_table_cattributes => ' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
 ,p_sidebar_def_reg_pos => 'REGION_POSITION_02'
 ,p_breadcrumb_def_reg_pos => 'REGION_POSITION_01'
 ,p_theme_class_id => 3
 ,p_error_page_template => '<section class="uRegion uNoHeading uErrorRegion">'||unistr('\000a')||
'  <div class="uRegionContent">'||unistr('\000a')||
'    <p><strong>#MESSAGE#</strong></p>'||unistr('\000a')||
'    <p>#ADDITIONAL_INFO#</p>'||unistr('\000a')||
'    <div class="uErrorTechInfo">#TECHNICAL_INFO#</div>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'  <div class="uRegionHeading">'||unistr('\000a')||
'    <span class="uButtonContainer">'||unistr('\000a')||
'      <a href="#BACK_LINK#" class="uButtonLarge uHotButton"><span>#OK#</span></a>'||unistr('\000a')||
'    </span>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</section>'
 ,p_grid_type => 'TABLE'
 ,p_has_edit_links => true
 ,p_translate_this_template => 'N'
  );
null;
 
end;
/

prompt  ...button templates
--
--application/shared_components/user_interface/templates/button/large_button
prompt  ......Button Template 41049711830826773699
 
begin
 
wwv_flow_api.create_button_templates (
  p_id => 41049711830826773699 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_template_name => 'Large Button'
 ,p_template => 
'<a href="#LINK#" class="uButtonLarge #BUTTON_CSS_CLASSES#" id="#BUTTON_ID#" #BUTTON_ATTRIBUTES# role="button"><span>#LABEL#</span></a> '
 ,p_hot_template => 
'<a href="#LINK#" class="uButtonLarge uHotButton #BUTTON_CSS_CLASSES#" id="#BUTTON_ID#" #BUTTON_ATTRIBUTES# role="button"><span>#LABEL#</span></a> '
 ,p_translate_this_template => 'N'
 ,p_theme_class_id => 5
 ,p_template_comment => 'Standard Button'
 ,p_theme_id => 24
  );
null;
 
end;
/

---------------------------------------
prompt  ...region templates
--
--application/shared_components/user_interface/templates/region/form_region
prompt  ......region template 41049705817257773690
 
begin
 
wwv_flow_api.create_plug_template (
  p_id => 41049705817257773690 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_layout => 'TABLE'
 ,p_template => 
'<section class="uRegion #REGION_CSS_CLASSES# clearfix" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>'||unistr('\000a')||
'  <div class="uRegionHeading">'||unistr('\000a')||
'    <h1>#TITLE#</h1>'||unistr('\000a')||
'    <span class="uButtonContainer">'||unistr('\000a')||
'      #CLOSE##PREVIOUS##NEXT##DELETE##EDIT##CHANGE##CREATE##CREATE2##EXPAND##COPY##HELP#'||unistr('\000a')||
'    </span>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'  <div class="uRegionContent clearfix">'||unistr('\000a')||
'    #BODY#'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</section>'
 ,p_page_plug_template_name => 'Form Region'
 ,p_plug_table_bgcolor => '#f7f7e7'
 ,p_theme_id => 24
 ,p_theme_class_id => 8
 ,p_plug_heading_bgcolor => '#f7f7e7'
 ,p_plug_font_size => '-1'
 ,p_default_label_alignment => 'RIGHT'
 ,p_default_field_alignment => 'LEFT'
 ,p_translate_this_template => 'N'
 ,p_template_comment => 'Red Theme'
  );
null;
 
end;
/

prompt  ...List Templates
--
prompt  ...report templates
--
--application/shared_components/user_interface/templates/report/standard
prompt  ......report template 41049708838023773694
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  c4 varchar2(32767) := null;
begin
c1:=c1||'<td #ALIGNMENT# headers="#COLUMN_HEADER_NAME#">#COLUMN_VALUE#</td>';

c2 := null;
c3 := null;
c4 := null;
wwv_flow_api.create_row_template (
  p_id=> 41049708838023773694 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_row_template_name=> 'Standard',
  p_row_template1=> c1,
  p_row_template_condition1=> '',
  p_row_template2=> c2,
  p_row_template_condition2=> '',
  p_row_template3=> c3,
  p_row_template_condition3=> '',
  p_row_template4=> c4,
  p_row_template_condition4=> '',
  p_row_template_before_rows=>'<table class="uReportContainer" #REPORT_ATTRIBUTES# id="report_#REGION_STATIC_ID#" summary="">'||unistr('\000a')||
'<tbody class="uReportPagination">'||unistr('\000a')||
'#TOP_PAGINATION#'||unistr('\000a')||
'</tbody>'||unistr('\000a')||
'<tbody class="uReportBody">'||unistr('\000a')||
'<tr><td>'||unistr('\000a')||
'<table summary="#REGION_TITLE#" class="uReport uReportStandard">',
  p_row_template_after_rows =>'</tbody>'||unistr('\000a')||
'</table>'||unistr('\000a')||
'</td>'||unistr('\000a')||
'</tr>'||unistr('\000a')||
'</tbody>'||unistr('\000a')||
'<tbody class="uReportPagination">'||unistr('\000a')||
'#PAGINATION#'||unistr('\000a')||
'</tbody>'||unistr('\000a')||
'</table>'||unistr('\000a')||
'<div class="uReportDownloadLinks">#EXTERNAL_LINK##CSV_LINK#</div>',
  p_row_template_table_attr =>'',
  p_row_template_type =>'GENERIC_COLUMNS',
  p_before_column_heading=>'<thead>',
  p_column_heading_template=>'<th #ALIGNMENT# id="#COLUMN_HEADER_NAME#" #COLUMN_WIDTH#>#COLUMN_HEADER#</th>',
  p_after_column_heading=>'</thead>'||unistr('\000a')||
'<tbody>',
  p_row_template_display_cond1=>'0',
  p_row_template_display_cond2=>'0',
  p_row_template_display_cond3=>'0',
  p_row_template_display_cond4=>'0',
  p_next_page_template=>'<a href="#LINK#" class="uPaginationNext">#PAGINATION_NEXT# <img src="#IMAGE_PREFIX#f_spacer.gif" alt="" /></a>',
  p_previous_page_template=>'<a href="#LINK#" class="uPaginationPrev"><img src="#IMAGE_PREFIX#f_spacer.gif" alt="" /> #PAGINATION_PREVIOUS#</a>',
  p_next_set_template=>'<a href="#LINK#" class="uPaginationNext">#PAGINATION_NEXT_SET# <img src="#IMAGE_PREFIX#f_spacer.gif" alt="" /></a>',
  p_previous_set_template=>'<a href="#LINK#" class="uPaginationPrev"><img src="#IMAGE_PREFIX#f_spacer.gif" alt="" /> #PAGINATION_PREVIOUS_SET#</a>',
  p_row_style_mouse_over=>'#F0F0F0',
  p_row_style_checked=>'#E8E8E8',
  p_theme_id  => 24,
  p_theme_class_id => 4,
  p_translate_this_template => 'N',
  p_row_template_comment=> '');
end;
null;
 
end;
/

 
begin
 
begin
wwv_flow_api.create_row_template_patch (
  p_id => 41049708838023773694 + wwv_flow_api.g_id_offset,
  p_row_template_before_first =>'<tr>',
  p_row_template_after_last =>'</tr>');
exception when others then null;
end;
null;
 
end;
/

prompt  ...label templates
--
--application/shared_components/user_interface/templates/label/optional
prompt  ......label template 41049711212655773698
 
begin
 
begin
wwv_flow_api.create_field_template (
  p_id=> 41049711212655773698 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_template_name=>'Optional',
  p_template_body1=>'<label for="#CURRENT_ITEM_NAME#" class="uOptional">',
  p_template_body2=>'</label>',
  p_before_item=>'',
  p_after_item=>'',
  p_on_error_before_label=>'',
  p_on_error_after_label=>'<span class="uLabelError">#ERROR_MESSAGE#</span>',
  p_theme_id  => 24,
  p_theme_class_id => 3,
  p_translate_this_template=> 'N',
  p_template_comment=> '');
end;
null;
 
end;
/

prompt  ...breadcrumb templates
--
--application/shared_components/user_interface/templates/popuplov
prompt  ...popup list of values templates
--
prompt  ......template 41049712725232773701
 
begin
 
begin
wwv_flow_api.create_popup_lov_template (
  p_id=> 41049712725232773701 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_popup_icon=>'#IMAGE_PREFIX#f_spacer.gif',
  p_popup_icon_attr=>'alt="#ICON_TEXT#" title="#ICON_TEXT#" class="uPopupLOVIcon"',
  p_popup_icon2=>'',
  p_popup_icon_attr2=>'',
  p_page_name=>'winlov',
  p_page_title=>'Search Dialog',
  p_page_html_head=>'<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=edge" /><![endif]-->'||unistr('\000a')||
'<link rel="shortcut icon" href="#IMAGE_PREFIX#favicon.ico" type="image/x-icon">  <link rel="stylesheet" href="#IMAGE_PREFIX#themes/theme_24/css/4_1.css" type="text/css" media="all"/>'||unistr('\000a')||
'#THEME_CSS#',
  p_page_body_attr=>'class="uPopUpLOV"',
  p_before_field_text=>'<div class="uActionBar">',
  p_page_heading_text=>'',
  p_page_footer_text =>'',
  p_filter_width     =>'20',
  p_filter_max_width =>'100',
  p_filter_text_attr =>'class="searchField"',
  p_find_button_text =>'Search',
  p_find_button_image=>'',
  p_find_button_attr =>'class="smallButton"',
  p_close_button_text=>'Close',
  p_close_button_image=>'',
  p_close_button_attr=>'class="smallButton hotButton"',
  p_next_button_text =>'Next >',
  p_next_button_image=>'',
  p_next_button_attr =>'class="smallButton"',
  p_prev_button_text =>'< Previous',
  p_prev_button_image=>'',
  p_prev_button_attr =>'class="smallButton"',
  p_after_field_text=>'</div>',
  p_scrollbars=>'1',
  p_resizable=>'1',
  p_width =>'400',
  p_height=>'450',
  p_result_row_x_of_y=>'<div class="lovPagination">Row(s) #FIRST_ROW# - #LAST_ROW#</div>',
  p_result_rows_per_pg=>500,
  p_before_result_set=>'<div class="lovLinks">',
  p_theme_id  => 24,
  p_theme_class_id => 1,
  p_after_result_set   =>'</div>');
end;
null;
 
end;
/

prompt  ...calendar templates
--
prompt  ...application themes
--
--application/shared_components/user_interface/themes/cloudy
prompt  ......theme 41049712830866773702
begin
wwv_flow_api.create_theme (
  p_id =>41049712830866773702 + wwv_flow_api.g_id_offset,
  p_flow_id =>wwv_flow.g_flow_id,
  p_theme_id  => 24,
  p_theme_name=>'Cloudy',
  p_ui_type_name=>'DESKTOP',
  p_is_locked=>false,
  p_default_page_template=>41049703416404773685 + wwv_flow_api.g_id_offset,
  p_error_template=>41049703416404773685 + wwv_flow_api.g_id_offset,
  p_printer_friendly_template=>null + wwv_flow_api.g_id_offset,
  p_breadcrumb_display_point=>'REGION_POSITION_01',
  p_sidebar_display_point=>'REGION_POSITION_02',
  p_login_template=>41049703125194773682 + wwv_flow_api.g_id_offset,
  p_default_button_template=>41049711830826773699 + wwv_flow_api.g_id_offset,
  p_default_region_template=>41049705817257773690 + wwv_flow_api.g_id_offset,
  p_default_chart_template =>null + wwv_flow_api.g_id_offset,
  p_default_form_template  =>null + wwv_flow_api.g_id_offset,
  p_default_reportr_template => null,
  p_default_tabform_template=>null + wwv_flow_api.g_id_offset,
  p_default_wizard_template=>null + wwv_flow_api.g_id_offset,
  p_default_menur_template=>null + wwv_flow_api.g_id_offset,
  p_default_listr_template=>null + wwv_flow_api.g_id_offset,
  p_default_irr_template=>null + wwv_flow_api.g_id_offset,
  p_default_report_template   =>41049708838023773694 + wwv_flow_api.g_id_offset,
  p_default_label_template=>41049711212655773698 + wwv_flow_api.g_id_offset,
  p_default_menu_template=>null + wwv_flow_api.g_id_offset,
  p_default_calendar_template=>null + wwv_flow_api.g_id_offset,
  p_default_list_template=>null + wwv_flow_api.g_id_offset,
  p_default_option_label=>41049711329761773698 + wwv_flow_api.g_id_offset,
  p_default_header_template=>null + wwv_flow_api.g_id_offset,
  p_default_footer_template=>null + wwv_flow_api.g_id_offset,
  p_default_page_transition=>'NONE',
  p_default_popup_transition=>'NONE',
  p_default_required_label=>41049711513215773699 + wwv_flow_api.g_id_offset);
end;
/
 
prompt  ...theme styles
--
 
begin
 
null;
 
end;
/

prompt  ...theme display points
--
 
begin
 
null;
 
end;
/

prompt  ...build options
--
 
begin
 
null;
 
end;
/

--application/shared_components/globalization/language
prompt  ...Language Maps for Application 103
--
 
begin
 
null;
 
end;
/

--application/shared_components/globalization/messages
prompt  ...text messages
--
prompt  ......Message blog_post_link
declare
  h varchar2(32767) := null;
 
begin
 
h:=h||'<p class="fielddatabold">See blog post <a target="_blank" href="http://dbswh.webhop.net/apex/f?p=BLOG:READ:0::::ARTICLE:%0">%1</a>.</p>';

wwv_flow_api.create_message (
  p_id=>4381525649318636 + wwv_flow_api.g_id_offset,
  p_flow_id=>wwv_flow.g_flow_id,
  p_name=>'BLOG_POST_LINK',
  p_message_language=>'en',
  p_message_text=>h);
null;
 
end;
/

--application/shared_components/globalization/dyntranslations
prompt  ...dynamic translations
--
prompt  ...Shortcuts
--
--application/shared_components/user_interface/shortcuts/page_1_help
 
begin
 
declare
  c1 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'RETURN APEX_LANG.MESSAGE(''BLOG_POST_LINK'', ''201403270854590172'' ,''Convert APEX 4.2 tabular form popup key LOV to jQuery autocomplete'');';

wwv_flow_api.create_shortcut (
 p_id=> 4382713547354605 + wwv_flow_api.g_id_offset,
 p_flow_id=> wwv_flow.g_flow_id,
 p_shortcut_name=> 'PAGE_1_HELP',
 p_shortcut_type=> 'FUNCTION_BODY',
 p_shortcut=> c1);
end;
null;
 
end;
/

--application/shared_components/user_interface/shortcuts/delete_confirm_msg
 
begin
 
declare
  c1 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'Would you like to perform this delete action?';

wwv_flow_api.create_shortcut (
 p_id=> 41049719322485777717 + wwv_flow_api.g_id_offset,
 p_flow_id=> wwv_flow.g_flow_id,
 p_shortcut_name=> 'DELETE_CONFIRM_MSG',
 p_shortcut_type=> 'TEXT_ESCAPE_JS',
 p_shortcut=> c1);
end;
null;
 
end;
/

prompt  ...web services (9iR2 or better)
--
prompt  ...shared queries
--
prompt  ...report layouts
--
prompt  ...authentication schemes
--
--application/shared_components/security/authentication/application_express_authentication
prompt  ......authentication 41049713110998773704
 
begin
 
wwv_flow_api.create_authentication (
  p_id => 41049713110998773704 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_name => 'Application Express Authentication'
 ,p_scheme_type => 'NATIVE_APEX_ACCOUNTS'
 ,p_invalid_session_type => 'LOGIN'
 ,p_use_secure_cookie_yn => 'N'
  );
null;
 
end;
/

prompt  ...ui types
--
 
begin
 
null;
 
end;
/

prompt  ...plugins
--
prompt  ...data loading
--
--application/deployment/definition
prompt  ...application deployment
--
 
begin
 
declare
    s varchar2(32767) := null;
    l_clob clob;
begin
s:=s||'DROP TABLE DBSWH_JQ_AC_EMP;'||unistr('\000a')||
'DROP SEQUENCE DBSWH_JQ_AC_EMP_SEQ;'||unistr('\000a')||
'DROP TABLE DBSWH_JQ_AC_DEPT;'||unistr('\000a')||
'DROP SEQUENCE DBSWH_JQ_AC_DEPT_SEQ;'||unistr('\000a')||
'';

wwv_flow_api.create_install (
  p_id => 41049748528757805864 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_include_in_export_yn => 'Y',
  p_deinstall_script_clob => s,
  p_required_free_kb => 500,
  p_required_sys_privs => 'CREATE SEQUENCE:CREATE TABLE:CREATE TRIGGER',
  p_required_names_available => 'DBSWH_JQ_AC_DEPT:DBSWH_JQ_AC_DEPT_SEQ:DBSWH_JQ_AC_DEPT_TRG1:DBSWH_JQ_AC_EMP:DBSWH_JQ_AC_EMP_SEQ:DBSWH_JQ_AC_EMP_TRG1',
  p_deinstall_message=> '');
end;
 
 
end;
/

--application/deployment/install
prompt  ...application install scripts
--
 
begin
 
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'CREATE SEQUENCE   "DBSWH_JQ_AC_EMP_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 8900 CACHE 20 NOORDER  NOCYCLE'||unistr('\000a')||
'/'||unistr('\000a')||
'CREATE SEQUENCE   "DBSWH_JQ_AC_DEPT_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 50 CACHE 20 NOORDER  NOCYCLE'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'CREATE TABLE  "DBSWH_JQ_AC_EMP"'||unistr('\000a')||
'   (    "EMPNO" NUMBER(4,0) NOT NULL ENABLE,'||unistr('\000a')||
'    "ENAME" VARCHAR2(10) ';

s:=s||'NOT NULL ENABLE,'||unistr('\000a')||
'    "JOB" NUMBER(2,0) NOT NULL ENABLE,'||unistr('\000a')||
'    "MGR" NUMBER(4,0),'||unistr('\000a')||
'    "HIREDATE" DATE NOT NULL ENABLE,'||unistr('\000a')||
'    "SAL" NUMBER(7,2) NOT NULL ENABLE,'||unistr('\000a')||
'    "COMM" NUMBER(7,2),'||unistr('\000a')||
'    "DEPTNO" NUMBER(2,0) NOT NULL ENABLE,'||unistr('\000a')||
'     PRIMARY KEY ("EMPNO") ENABLE'||unistr('\000a')||
'   )'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'CREATE TABLE  "DBSWH_JQ_AC_DEPT"'||unistr('\000a')||
'   (    "DEPTNO" NUMBER(2,0),'||unistr('\000a')||
'    "DNAME" VARCHAR2(14) NOT NULL ENABLE,'||unistr('\000a')||
'    "LOC" VARCHAR2(13) NOT NULL ';

s:=s||'ENABLE,'||unistr('\000a')||
'     PRIMARY KEY ("DEPTNO") ENABLE'||unistr('\000a')||
'   )'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'ALTER TABLE  "DBSWH_JQ_AC_EMP" ADD FOREIGN KEY ("MGR")'||unistr('\000a')||
'      REFERENCES  "DBSWH_JQ_AC_EMP" ("EMPNO") ENABLE'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'ALTER TABLE  "DBSWH_JQ_AC_EMP" ADD FOREIGN KEY ("DEPTNO")'||unistr('\000a')||
'      REFERENCES  "DBSWH_JQ_AC_DEPT" ("DEPTNO") ENABLE'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'CREATE OR REPLACE TRIGGER  "DBSWH_JQ_AC_EMP_TRG1"'||unistr('\000a')||
'before insert on DBSWH_JQ_AC_EMP'||unistr('\000a')||
'for each row'||unistr('\000a')||
'begin'||unistr('\000a')||
'    if :new.empno i';

s:=s||'s null then'||unistr('\000a')||
'        select DBSWH_JQ_AC_EMP_SEQ.nextval into :new.empno from dual;'||unistr('\000a')||
'   end if;'||unistr('\000a')||
'end;'||unistr('\000a')||
''||unistr('\000a')||
'/'||unistr('\000a')||
'ALTER TRIGGER  "DBSWH_JQ_AC_EMP_TRG1" ENABLE'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'CREATE OR REPLACE TRIGGER  "DBSWH_JQ_AC_DEPT_TRG1"'||unistr('\000a')||
'before insert on DBSWH_JQ_AC_DEPT'||unistr('\000a')||
'for each row'||unistr('\000a')||
'begin'||unistr('\000a')||
'    if :new.deptno is null then'||unistr('\000a')||
'        select DBSWH_JQ_AC_DEPT_SEQ.nextval into :new.deptno from dual;'||unistr('\000a')||
'   end if;'||unistr('\000a')||
'end;'||unistr('\000a')||
''||unistr('\000a')||
'/'||unistr('\000a')||
'ALTER TRIGGER  "DBSWH_JQ';

s:=s||'_AC_DEPT_TRG1" ENABLE'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'insert into DBSWH_JQ_AC_DEPT ("DEPTNO", "DNAME", "LOC") values(10, ''ACCOUNTING'', ''NEW YORK'');'||unistr('\000a')||
'insert into DBSWH_JQ_AC_DEPT ("DEPTNO", "DNAME", "LOC") values(20, ''RESEARCH'', ''DALLAS'');'||unistr('\000a')||
'insert into DBSWH_JQ_AC_DEPT ("DEPTNO", "DNAME", "LOC") values(30, ''SALES'', ''CHICAGO'');'||unistr('\000a')||
'insert into DBSWH_JQ_AC_DEPT ("DEPTNO", "DNAME", "LOC") values(40, ''OPERATIONS'', ''BOSTON'');'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'insert in';

s:=s||'to DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7839,''KING'',40,null,to_date(''17-11-81'',''DD-MM-RR''),5000,null,10);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7698,''BLAKE'',30,7839,to_date(''01-05-81'',''DD-MM-RR''),2850,null,30);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7782,''CLARK'',30,7839,to_dat';

s:=s||'e(''09-06-81'',''DD-MM-RR''),2450,null,10);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7566,''JONES'',30,7839,to_date(''02-04-81'',''DD-MM-RR''),2975,null,20);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7788,''SCOTT'',10,7566,to_date(''09-12-82'',''DD-MM-RR''),3000,null,20);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SA';

s:=s||'L,COMM,DEPTNO) values (7902,''FORD'',10,7566,to_date(''03-12-81'',''DD-MM-RR''),3000,null,20);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7369,''SMITH'',20,7902,to_date(''17-12-80'',''DD-MM-RR''),800,null,20);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7499,''ALLEN'',50,7698,to_date(''20-02-81'',''DD-MM-RR''),1600,300,30);'||unistr('\000a')||
'insert into D';

s:=s||'BSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7521,''WARD'',50,7698,to_date(''22-02-81'',''DD-MM-RR''),1250,500,30);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7654,''MARTIN'',50,7698,to_date(''28-09-81'',''DD-MM-RR''),1250,1400,30);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7844,''TURNER'',50,7698,to_date(''';

s:=s||'08-09-81'',''DD-MM-RR''),1500,null,30);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7876,''ADAMS'',20,7788,to_date(''12-01-83'',''DD-MM-RR''),1100,null,20);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7900,''JAMES'',20,7698,to_date(''03-12-81'',''DD-MM-RR''),950,null,30);'||unistr('\000a')||
'insert into DBSWH_JQ_AC_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,CO';

s:=s||'MM,DEPTNO) values (7934,''MILLER'',20,7782,to_date(''23-01-82'',''DD-MM-RR''),1300,null,10);'||unistr('\000a')||
'';

wwv_flow_api.create_install_script(
  p_id => 41049814721616796681 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_install_id=> 41049748528757805864 + wwv_flow_api.g_id_offset,
  p_name => 'Tables',
  p_sequence=> 10,
  p_script_type=> 'INSTALL',
  p_script_clob=> s);
end;
 
 
end;
/

--application/deployment/checks
prompt  ...application deployment checks
--
 
begin
 
null;
 
end;
/

--application/deployment/buildoptions
prompt  ...application deployment build options
--
 
begin
 
null;
 
end;
/

prompt  ...post import process
 
begin
 
wwv_flow_api.post_import_process(p_flow_id => wwv_flow.g_flow_id);
null;
 
end;
/

--application/end_environment
commit;
commit;
begin
execute immediate 'begin sys.dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
set define on
prompt  ...done
